Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.filter
Class RegexFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.filter.ExtractorFilter
com.tangosol.util.filter.ComparisonFilter
com.tangosol.util.filter.RegexFilter`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, Filter, EntryFilter, java.io.Serializable

      public class RegexFilter

extends ComparisonFilter

Filter which uses the regular expression pattern match defined by the `String.matches(String)` contract. This implementation is not index aware and will not take advantage of existing indexes.

Since:
  Coherence 3.6
Author:
  gg 2010.05.02

Field Summary

Fields inherited from class com.tangosol.util.filter.ComparisonFilter
`m_oValue`

Fields inherited from class com.tangosol.util.filter.ExtractorFilter
`EVAL_COST, m_extractor`

Constructor Summary
`RegexFilter()` Default constructor (necessary for the ExternalizableLite interface).
`RegexFilter(java.lang.String sMethod, java.lang.String sRegex)` Construct a RegexFilter for testing pattern matching.
`RegexFilter(ValueExtractor extractor, java.lang.String sRegex)` Construct a RegexFilter for testing pattern matching.

Method Summary
`protected boolean` | `evaluateExtracted(java.lang.Object oExtracted)` Evaluate the specified extracted value.

Methods inherited from class com.tangosol.util.filter.ComparisonFilter
`calculateIteratorEffectiveness, calculateMatchEffectiveness, calculateRangeEffectiveness, equals, getValue, hashCode, readExternal, readExternal, toString, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.filter.ExtractorFilter
`evaluate, evaluateEntry, extract, getValueExtractor`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### RegexFilter

    public RegexFilter()

  Default constructor (necessary for the ExternalizableLite interface).

### RegexFilter

    public RegexFilter(ValueExtractor extractor,
                       java.lang.String sRegex)

  Construct a RegexFilter for testing pattern matching.
  Parameters:
    `extractor` - the ValueExtractor to use by this filter
    `sRegex` - the regular expression to match the result with

### RegexFilter

    public RegexFilter(java.lang.String sMethod,
                       java.lang.String sRegex)

  Construct a RegexFilter for testing pattern matching.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection
    `sRegex` - the regular expression to match the result with

Method Detail

### evaluateExtracted

    protected boolean evaluateExtracted(java.lang.Object oExtracted)

  Evaluate the specified extracted value.
  Specified by:
    `evaluateExtracted` in class `ExtractorFilter`
  Parameters:
    `oExtracted` - an extracted value to evaluate

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.